--- old/usr/src/cmd/Adm/sun/Makefile	2014-11-25 12:56:23.957550271 -0500
+++ new/usr/src/cmd/Adm/sun/Makefile	2014-11-25 12:56:23.998884015 -0500
@@ -46,7 +46,7 @@
 .KEEP_STATE:
 
 $(ROOTETCFTPUSERSLINK):	$(ROOTETCFTPDFILES)
-	$(SYMLINK) ftpd/ftpusers $@
+	$(RM) $@; $(SYMLINK) ftpd/ftpusers $@
 
 all: $(ETCFILES) $(KVMFILES) $(SMBFILES) $(FTPDFILES)
 
--- old/usr/src/lib/libm/Makefile.com	2014-11-25 12:56:24.873997306 -0500
+++ new/usr/src/lib/libm/Makefile.com	2014-11-25 12:56:24.885967965 -0500
@@ -511,9 +511,7 @@
 LINTFLAGS64	+= $(LINTERROFF)
 LINTFLAGS64	+= -errchk=longptr64
 
-CPPFLAGS	+= -DLIBM_BUILD
-
-CFLAGS 		+= $(C_BIGPICFLAGS)
+CFLAGS		+= $(C_BIGPICFLAGS)
 CFLAGS64	+= $(C_BIGPICFLAGS)
 
 m9x_IL		= $(LIBMDIR)/common/m9x/__fenv_$(TARGET_ARCH).il
--- old/usr/src/lib/libm/Makefile.libm.com	2014-11-25 12:56:25.337318707 -0500
+++ new/usr/src/lib/libm/Makefile.libm.com	2014-11-25 12:56:25.349290050 -0500
@@ -31,7 +31,7 @@
 # compatibility.
 C99MODE		=
 
-M4FLAGS		= -D__STDC__ -DELFOBJ -DPIC
+M4FLAGS		= -D__STDC__ -DPIC
 
 LDBLDIR_sparc	= Q
 LDBLDIR_i386	= LD
@@ -39,13 +39,11 @@
 
 LM_IL		= $(LIBMDIR)/$(TARGET_ARCH)/src/locallibm.il
 
-CFLAGS		+= $(C_PICFLAGS) -D__INLINE $(XSTRCONST) $(LM_IL)
-CFLAGS64	+= $(C_PICFLAGS) -D__INLINE $(XSTRCONST) $(LM_IL)
+CFLAGS		+= $(C_PICFLAGS) $(XSTRCONST) $(LM_IL)
+CFLAGS64	+= $(C_PICFLAGS) $(XSTRCONST) $(LM_IL)
 sparc_CFLAGS	+= -Wa,-xarch=v8plus
 
-CPPFLAGS	+= -DELFOBJ \
-		-DLIBM_MT_FEX_SYNC \
-		-I$(LIBMSRC)/C \
+CPPFLAGS	+= -I$(LIBMSRC)/C \
 		-I$(LIBMSRC)/$(LDBLDIR) -I$(LIBMDIR)/$(TARGET_ARCH)/src
 
 # GCC needs __C99FEATURES__ such that the implementations of isunordered,
--- old/usr/src/lib/libm/amd64/src/__swapFLAGS.s	2014-11-25 12:56:25.742671994 -0500
+++ new/usr/src/lib/libm/amd64/src/__swapFLAGS.s	2014-11-25 12:56:25.754254792 -0500
@@ -29,7 +29,6 @@
 	.file	"__swapFLAGS.s"
 
 #include "libm.h"
-#include "libm_synonyms.h"
 
 /*
  * swap exception masks
--- old/usr/src/lib/libm/amd64/src/acosl.s	2014-11-25 12:56:26.159177731 -0500
+++ new/usr/src/lib/libm/amd64/src/acosl.s	2014-11-25 12:56:26.171594753 -0500
@@ -30,9 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(acosl,function)
-#include "libm_synonyms.h"
-
-#undef fabs
 
 	ENTRY(acosl)
 	fldt	8(%rsp)			/ push x
--- old/usr/src/lib/libm/amd64/src/asinl.s	2014-11-25 12:56:26.570146045 -0500
+++ new/usr/src/lib/libm/amd64/src/asinl.s	2014-11-25 12:56:26.582126405 -0500
@@ -30,9 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(asinl,function)
-#include "libm_synonyms.h"
-
-#undef fabs
 
 	ENTRY(asinl)
 	fldt	8(%rsp)			/ push x
--- old/usr/src/lib/libm/amd64/src/atan2l.s	2014-11-25 12:56:26.993407254 -0500
+++ new/usr/src/lib/libm/amd64/src/atan2l.s	2014-11-25 12:56:27.025616258 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(atan2l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(atan2l)
 	fldt	8(%rsp)			/ push y
--- old/usr/src/lib/libm/amd64/src/atanl.s	2014-11-25 12:56:27.871873534 -0500
+++ new/usr/src/lib/libm/amd64/src/atanl.s	2014-11-25 12:56:27.925367211 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(atanl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(atanl)
 	fldt	8(%rsp)			/ push arg
--- old/usr/src/lib/libm/amd64/src/copysignl.s	2014-11-25 12:56:28.341690855 -0500
+++ new/usr/src/lib/libm/amd64/src/copysignl.s	2014-11-25 12:56:28.353196808 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(copysignl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(copysignl)
 	movl	16(%rsp),%eax
--- old/usr/src/lib/libm/amd64/src/exp10l.s	2014-11-25 12:56:28.825898008 -0500
+++ new/usr/src/lib/libm/amd64/src/exp10l.s	2014-11-25 12:56:28.838007681 -0500
@@ -29,8 +29,6 @@
         .file "exp10l.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(exp10l,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	16
--- old/usr/src/lib/libm/amd64/src/exp2l.s	2014-11-25 12:56:29.249321085 -0500
+++ new/usr/src/lib/libm/amd64/src/exp2l.s	2014-11-25 12:56:29.261479791 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(exp2l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(exp2l)
 	movl	16(%rsp),%ecx		/ cx <--sign&bexp(x)
--- old/usr/src/lib/libm/amd64/src/expl.s	2014-11-25 12:56:29.674101471 -0500
+++ new/usr/src/lib/libm/amd64/src/expl.s	2014-11-25 12:56:29.686521448 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(expl,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	16
--- old/usr/src/lib/libm/amd64/src/expm1l.s	2014-11-25 12:56:30.120550366 -0500
+++ new/usr/src/lib/libm/amd64/src/expm1l.s	2014-11-25 12:56:30.132033545 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(expm1l,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	16
--- old/usr/src/lib/libm/amd64/src/fabsl.s	2014-11-25 12:56:30.552289801 -0500
+++ new/usr/src/lib/libm/amd64/src/fabsl.s	2014-11-25 12:56:30.564872354 -0500
@@ -30,11 +30,9 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fabsl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fabsl)
 	fldt    8(%rsp)
-#undef	fabs
 	fabs
 	ret
 	.align	16
--- old/usr/src/lib/libm/amd64/src/floorl.s	2014-11-25 12:56:30.969550219 -0500
+++ new/usr/src/lib/libm/amd64/src/floorl.s	2014-11-25 12:56:30.982386864 -0500
@@ -31,7 +31,6 @@
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(ceill,function)
 LIBM_ANSI_PRAGMA_WEAK(floorl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(ceill)
 	subq	$16,%rsp
--- old/usr/src/lib/libm/amd64/src/fmod.s	2014-11-25 12:56:31.392345720 -0500
+++ new/usr/src/lib/libm/amd64/src/fmod.s	2014-11-25 12:56:31.405382478 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fmod,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(fmod)
--- old/usr/src/lib/libm/amd64/src/fmodf.s	2014-11-25 12:56:31.813605420 -0500
+++ new/usr/src/lib/libm/amd64/src/fmodf.s	2014-11-25 12:56:31.825189210 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fmodf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fmodf)
 	push	%rbp
--- old/usr/src/lib/libm/amd64/src/fmodl.s	2014-11-25 12:56:32.254638007 -0500
+++ new/usr/src/lib/libm/amd64/src/fmodl.s	2014-11-25 12:56:32.267565788 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fmodl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fmodl)
 	fldt	24(%rsp)		/ load arg y
--- old/usr/src/lib/libm/amd64/src/ieee_funcl.s	2014-11-25 12:56:32.683610359 -0500
+++ new/usr/src/lib/libm/amd64/src/ieee_funcl.s	2014-11-25 12:56:32.695599913 -0500
@@ -29,12 +29,6 @@
         .file "ieee_funcl.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(isinfl,function)
-LIBM_ANSI_PRAGMA_WEAK(isnormall,function)
-LIBM_ANSI_PRAGMA_WEAK(issubnormall,function)
-LIBM_ANSI_PRAGMA_WEAK(iszerol,function)
-LIBM_ANSI_PRAGMA_WEAK(signbitl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(isinfl)
 	movl	16(%rsp),%eax		/ ax <-- sign and bexp of x 
--- old/usr/src/lib/libm/amd64/src/ilogbl.s	2014-11-25 12:56:33.100906127 -0500
+++ new/usr/src/lib/libm/amd64/src/ilogbl.s	2014-11-25 12:56:33.112301013 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(ilogbl,function)
-#include "libm_synonyms.h"
 #include "xpg6.h"
 
 	.data
--- old/usr/src/lib/libm/amd64/src/log10l.s	2014-11-25 12:56:33.528455087 -0500
+++ new/usr/src/lib/libm/amd64/src/log10l.s	2014-11-25 12:56:33.550620690 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log10l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(log10l)
 	fldlg2	
--- old/usr/src/lib/libm/amd64/src/log2l.s	2014-11-25 12:56:34.095939363 -0500
+++ new/usr/src/lib/libm/amd64/src/log2l.s	2014-11-25 12:56:34.108272531 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log2l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(log2l)
 	fld1			/ push 1.0
--- old/usr/src/lib/libm/amd64/src/logl.s	2014-11-25 12:56:34.513063951 -0500
+++ new/usr/src/lib/libm/amd64/src/logl.s	2014-11-25 12:56:34.525837957 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(logl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(logl)
 	fldln2	
--- old/usr/src/lib/libm/amd64/src/powl.s	2014-11-25 12:56:34.922617690 -0500
+++ new/usr/src/lib/libm/amd64/src/powl.s	2014-11-25 12:56:34.935145971 -0500
@@ -55,11 +55,8 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(powl,function)
-#include "libm_synonyms.h"
 #include "xpg6.h"
 
-#undef fabs
-
 	.data
 	.align	16
 negzero:
--- old/usr/src/lib/libm/amd64/src/remainder.s	2014-11-25 12:56:35.359528673 -0500
+++ new/usr/src/lib/libm/amd64/src/remainder.s	2014-11-25 12:56:35.370842596 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remainder,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(remainder)
--- old/usr/src/lib/libm/amd64/src/remainderf.s	2014-11-25 12:56:35.789910969 -0500
+++ new/usr/src/lib/libm/amd64/src/remainderf.s	2014-11-25 12:56:35.801429552 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remainderf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(remainderf)
 	push	%rbp
--- old/usr/src/lib/libm/amd64/src/remainderl.s	2014-11-25 12:56:36.197632329 -0500
+++ new/usr/src/lib/libm/amd64/src/remainderl.s	2014-11-25 12:56:36.220507806 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remainderl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(remainderl)
 	fldt	24(%rsp)		/ load arg y
--- old/usr/src/lib/libm/amd64/src/remquol.s	2014-11-25 12:56:37.104912574 -0500
+++ new/usr/src/lib/libm/amd64/src/remquol.s	2014-11-25 12:56:37.118265551 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remquol,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 	ENTRY(remquol)
 	fldt	24(%rsp)		/ load arg y
--- old/usr/src/lib/libm/amd64/src/rintl.s	2014-11-25 12:56:37.532287107 -0500
+++ new/usr/src/lib/libm/amd64/src/rintl.s	2014-11-25 12:56:37.549957221 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(rintl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(rintl)
 	fldt	8(%rsp)			/ load x
--- old/usr/src/lib/libm/amd64/src/rndintl.s	2014-11-25 12:56:38.123294276 -0500
+++ new/usr/src/lib/libm/amd64/src/rndintl.s	2014-11-25 12:56:38.135409793 -0500
@@ -29,13 +29,6 @@
         .file "rndintl.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(aintl,function)
-LIBM_ANSI_PRAGMA_WEAK(irintl,function)
-LIBM_ANSI_PRAGMA_WEAK(anintl,function)
-LIBM_ANSI_PRAGMA_WEAK(nintl,function)
-#include "libm_synonyms.h"
-
-#undef fabs
 
 	ENTRY(aintl)
 	movq	%rsp,%rax
--- old/usr/src/lib/libm/amd64/src/scalbnl.s	2014-11-25 12:56:38.554478475 -0500
+++ new/usr/src/lib/libm/amd64/src/scalbnl.s	2014-11-25 12:56:38.566646058 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(scalbnl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(scalbnl)
 	subq	$16,%rsp
--- old/usr/src/lib/libm/amd64/src/sqrtl.s	2014-11-25 12:56:39.504941172 -0500
+++ new/usr/src/lib/libm/amd64/src/sqrtl.s	2014-11-25 12:56:39.532819012 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(sqrtl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(sqrtl)
 	fldt	8(%rsp)
--- old/usr/src/lib/libm/common/C/acos.c	2014-11-25 12:56:39.986125540 -0500
+++ new/usr/src/lib/libm/common/C/acos.c	2014-11-25 12:56:39.997773506 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak acos = __acos
+#pragma weak __acos = acos
 
 /* INDENT OFF */
 /*
@@ -56,7 +56,6 @@
  */
 /* INDENT ON */
 
-#include "libm_synonyms.h"	/* __acos, __sqrt, __isnan */
 #include "libm_protos.h"	/* _SVID_libm_error */
 #include "libm_macros.h"
 #include <math.h>
--- old/usr/src/lib/libm/common/C/acosh.c	2014-11-25 12:56:40.391195098 -0500
+++ new/usr/src/lib/libm/common/C/acosh.c	2014-11-25 12:56:40.402674028 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak acosh = __acosh
+#pragma weak __acosh = acosh
 
 /* INDENT OFF */
 /*
@@ -46,7 +46,6 @@
  */
 /* INDENT ON */
 
-#include "libm_synonyms.h"	/* __acosh, __log, __log1p */
 #include "libm_protos.h"	/* _SVID_libm_error */
 #include "libm_macros.h"
 #include <math.h>
--- old/usr/src/lib/libm/common/C/asin.c	2014-11-25 12:56:40.785701741 -0500
+++ new/usr/src/lib/libm/common/C/asin.c	2014-11-25 12:56:40.797086035 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak asin = __asin
+#pragma weak __asin = asin
 
 /* INDENT OFF */
 /*
@@ -62,7 +62,6 @@
  */
 /* INDENT ON */
 
-#include "libm_synonyms.h"	/* __asin, __sqrt, __isnan */
 #include "libm_protos.h"	/* _SVID_libm_error */
 #include "libm_macros.h"
 #include <math.h>
--- old/usr/src/lib/libm/common/C/asinh.c	2014-11-25 12:56:41.185314461 -0500
+++ new/usr/src/lib/libm/common/C/asinh.c	2014-11-25 12:56:41.196815643 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak asinh = __asinh
+#pragma weak __asinh = asinh
 
 /* INDENT OFF */
 /*
@@ -43,7 +43,6 @@
  */
 /* INDENT ON */
 
-#include "libm_synonyms.h"	/* __asinh */
 #include "libm_macros.h"
 #include <math.h>
 
--- old/usr/src/lib/libm/common/C/atan.c	2014-11-25 12:56:41.578549828 -0500
+++ new/usr/src/lib/libm/common/C/atan.c	2014-11-25 12:56:41.590043591 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atan = __atan
+#pragma weak __atan = atan
 
 /* INDENT OFF */
 /*
@@ -82,7 +82,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 extern const double _TBL_atan[];
--- old/usr/src/lib/libm/common/C/atan2.c	2014-11-25 12:56:41.980359458 -0500
+++ new/usr/src/lib/libm/common/C/atan2.c	2014-11-25 12:56:41.992068669 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atan2 = __atan2
+#pragma weak __atan2 = atan2
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/atan2pi.c	2014-11-25 12:56:42.425413557 -0500
+++ new/usr/src/lib/libm/common/C/atan2pi.c	2014-11-25 12:56:42.436892147 -0500
@@ -26,8 +26,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atan2pi = __atan2pi
-
 /*
  * atan2pi(x) = atan2(x)/pi
  */
--- old/usr/src/lib/libm/common/C/atanh.c	2014-11-25 12:56:42.828702924 -0500
+++ new/usr/src/lib/libm/common/C/atanh.c	2014-11-25 12:56:42.840377656 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atanh = __atanh
+#pragma weak __atanh = atanh
 
 /* INDENT OFF */
 /*
@@ -51,7 +51,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include <math.h>
 
--- old/usr/src/lib/libm/common/C/ceil.c	2014-11-25 12:56:43.221884985 -0500
+++ new/usr/src/lib/libm/common/C/ceil.c	2014-11-25 12:56:43.233735127 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ceil = __ceil
+#pragma weak __ceil = ceil
 
 /*
  * ceil(x) returns the least integral value bigger than or equal to x.
--- old/usr/src/lib/libm/common/C/copysign.c	2014-11-25 12:56:43.614080762 -0500
+++ new/usr/src/lib/libm/common/C/copysign.c	2014-11-25 12:56:43.625607433 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak copysign = __copysign
-#endif
+#pragma weak __copysign = copysign
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/cos.c	2014-11-25 12:56:44.005766026 -0500
+++ new/usr/src/lib/libm/common/C/cos.c	2014-11-25 12:56:44.018626443 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cos = __cos
+#pragma weak __cos = cos
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/cosh.c	2014-11-25 12:56:44.455988726 -0500
+++ new/usr/src/lib/libm/common/C/cosh.c	2014-11-25 12:56:44.467500564 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cosh = __cosh
+#pragma weak __cosh = cosh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/erf.c	2014-11-25 12:56:44.875726296 -0500
+++ new/usr/src/lib/libm/common/C/erf.c	2014-11-25 12:56:44.887248699 -0500
@@ -27,8 +27,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak erf = __erf
-#pragma weak erfc = __erfc
+#pragma weak __erf = erf
+#pragma weak __erfc = erfc
 
 /* INDENT OFF */
 /*
@@ -127,7 +127,6 @@
  */
 /* INDENT ON */
 
-#include "libm_synonyms.h"	/* __erf, __erfc, __exp */
 #include "libm_macros.h"
 #include <math.h>
 
--- old/usr/src/lib/libm/common/C/exp.c	2014-11-25 12:56:45.318914173 -0500
+++ new/usr/src/lib/libm/common/C/exp.c	2014-11-25 12:56:45.330651625 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak exp = __exp
+#pragma weak __exp = exp
 
 /*
  * exp(x)
--- old/usr/src/lib/libm/common/C/exp10.c	2014-11-25 12:56:45.756844575 -0500
+++ new/usr/src/lib/libm/common/C/exp10.c	2014-11-25 12:56:45.769492888 -0500
@@ -26,8 +26,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak exp10 = __exp10
-
 /* INDENT OFF */
 /*
  * exp10(x)
--- old/usr/src/lib/libm/common/C/exp2.c	2014-11-25 12:56:46.164452980 -0500
+++ new/usr/src/lib/libm/common/C/exp2.c	2014-11-25 12:56:46.176776640 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak exp2 = __exp2
+#pragma weak __exp2 = exp2
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/expm1.c	2014-11-25 12:56:46.563785969 -0500
+++ new/usr/src/lib/libm/common/C/expm1.c	2014-11-25 12:56:46.575355697 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak expm1 = __expm1
+#pragma weak __expm1 = expm1
 
 /* INDENT OFF */
 /*
@@ -127,7 +127,6 @@
  */
 /* INDENT ON */
 
-#include "libm_synonyms.h"	/* __expm1 */
 #include "libm_macros.h"
 #include <math.h>
 
--- old/usr/src/lib/libm/common/C/fabs.c	2014-11-25 12:56:46.971358105 -0500
+++ new/usr/src/lib/libm/common/C/fabs.c	2014-11-25 12:56:46.982971509 -0500
@@ -27,10 +27,9 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fabs = __fabs
+#pragma weak __fabs = fabs
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_macros.h"
 #include <math.h>
 
--- old/usr/src/lib/libm/common/C/floor.c	2014-11-25 12:56:47.364473310 -0500
+++ new/usr/src/lib/libm/common/C/floor.c	2014-11-25 12:56:47.376003915 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak floor = __floor
+#pragma weak __floor = floor
 
 /*
  * floor(x) returns the biggest integral value less than or equal to x.
--- old/usr/src/lib/libm/common/C/fmod.c	2014-11-25 12:56:47.755244784 -0500
+++ new/usr/src/lib/libm/common/C/fmod.c	2014-11-25 12:56:47.768166720 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fmod = __fmod
+#pragma weak __fmod = fmod
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/gamma.c	2014-11-25 12:56:48.153479507 -0500
+++ new/usr/src/lib/libm/common/C/gamma.c	2014-11-25 12:56:48.164889812 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak gamma = __gamma
+#pragma weak __gamma = gamma
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/gamma_r.c	2014-11-25 12:56:48.565107321 -0500
+++ new/usr/src/lib/libm/common/C/gamma_r.c	2014-11-25 12:56:48.576668943 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak gamma_r = __gamma_r
+#pragma weak __gamma_r = gamma_r
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/hypot.c	2014-11-25 12:56:48.967323203 -0500
+++ new/usr/src/lib/libm/common/C/hypot.c	2014-11-25 12:56:48.978851041 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak hypot = __hypot
-#endif
+#pragma weak __hypot = hypot
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/ilogb.c	2014-11-25 12:56:49.425630532 -0500
+++ new/usr/src/lib/libm/common/C/ilogb.c	2014-11-25 12:56:49.437395488 -0500
@@ -27,14 +27,12 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak ilogb = __ilogb
-#endif
+#pragma weak __ilogb = ilogb
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
 
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const double two52 = 4503599627370496.0;
 #else
 /*
@@ -57,7 +55,7 @@
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 static int
 raise_invalid(int v) {	/* SUSv3 requires ilogb(0,+/-Inf,NaN) raise invalid */
@@ -80,7 +78,7 @@
 		if ((px[LOWORD] | k) == 0)
 			return (raise_invalid(0x80000001));
 		else {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 			x *= two52;
 			return (((px[HIWORD] & 0x7ff00000) >> 20) - 1075);
 #else
--- old/usr/src/lib/libm/common/C/j0.c	2014-11-25 12:56:49.824399997 -0500
+++ new/usr/src/lib/libm/common/C/j0.c	2014-11-25 12:56:49.836158961 -0500
@@ -36,11 +36,10 @@
  *	y0(-ve)=y1(-ve)=yn(n,-ve) are NaN with invalid signal.
  */
 
-#pragma weak j0 = __j0
-#pragma weak y0 = __y0
+#pragma weak __j0 = j0
+#pragma weak __y0 = y0
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include <math.h>
 #include <values.h>
--- old/usr/src/lib/libm/common/C/j1.c	2014-11-25 12:56:50.236590866 -0500
+++ new/usr/src/lib/libm/common/C/j1.c	2014-11-25 12:56:50.248076097 -0500
@@ -36,11 +36,10 @@
  *	y0(-ve)=y1(-ve)=yn(n,-ve) are NaN with invalid signal.
  */
 
-#pragma weak j1 = __j1
-#pragma weak y1 = __y1
+#pragma weak __j1 = j1
+#pragma weak __y1 = y1
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include <math.h>
 #include <values.h>
--- old/usr/src/lib/libm/common/C/jn.c	2014-11-25 12:56:50.654159138 -0500
+++ new/usr/src/lib/libm/common/C/jn.c	2014-11-25 12:56:50.665625486 -0500
@@ -27,8 +27,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak jn = __jn
-#pragma weak yn = __yn
+#pragma weak __jn = jn
+#pragma weak __yn = yn
 
 /*
  * floating point Bessel's function of the 1st and 2nd kind
--- old/usr/src/lib/libm/common/C/lgamma.c	2014-11-25 12:56:51.067123014 -0500
+++ new/usr/src/lib/libm/common/C/lgamma.c	2014-11-25 12:56:51.078811247 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lgamma = __lgamma
+#pragma weak __lgamma = lgamma
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/lgamma_r.c	2014-11-25 12:56:51.477522826 -0500
+++ new/usr/src/lib/libm/common/C/lgamma_r.c	2014-11-25 12:56:51.488963042 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lgamma_r = __lgamma_r
+#pragma weak __lgamma_r = lgamma_r
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/libm.h	2014-11-25 12:56:51.877517603 -0500
+++ new/usr/src/lib/libm/common/C/libm.h	2014-11-25 12:56:51.888917194 -0500
@@ -52,9 +52,9 @@
 #if defined(__sparc)
 
 #define	LIBM_ANSI_PRAGMA_WEAK(sym,stype) \
-	.weak sym; \
-	.type sym,#stype; \
-sym	= __/**/sym
+	.weak __/**/sym;		 \
+	.type __/**/sym,#stype;		 \
+__/**/sym	= sym
 
 #ifndef SET_FILE
 #define	SET_FILE(x) \
@@ -151,9 +151,9 @@
 #elif defined(__x86)
 
 #define	LIBM_ANSI_PRAGMA_WEAK(sym,stype) \
-	.weak sym; \
-	.type sym,@stype; \
-sym	= __/**/sym
+	.weak __/**/sym;		 \
+	.type __/**/sym,@stype;		 \
+__/**/sym	= sym
 
 #ifdef PIC
 #if defined(__amd64)
@@ -196,7 +196,6 @@
 #else	/* defined(_ASM) */
 
 #include "libm_macros.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include "libm_inlines.h"
 #include <math.h>
--- old/usr/src/lib/libm/common/C/libm_protos.h	2014-11-25 12:56:52.283165271 -0500
+++ new/usr/src/lib/libm/common/C/libm_protos.h	2014-11-25 12:56:52.294645178 -0500
@@ -29,90 +29,15 @@
 #ifndef _C_LIBM_PROTOS_H
 #define	_C_LIBM_PROTOS_H
 
-#ifdef LIBMOPT_BUILD
-#define	_TBL_cos	__libmopt_TBL_cos
-#define	_TBL_exp2_512	__libmopt_TBL_exp2_512
-#define	_TBL_ipio2_inf	__libmopt_TBL_ipio2_inf
-#define	_TBL_jlog_n1	__libmopt_TBL_jlog_n1
-#define	_TBL_jlog_n2	__libmopt_TBL_jlog_n2
-#define	_TBL_jlog_p1	__libmopt_TBL_jlog_p1
-#define	_TBL_jlog_p2	__libmopt_TBL_jlog_p2
-#define	_TBL_log10	__libmopt_TBL_log10
-#define	_TBL_log2_14	__libmopt_TBL_log2_14
-#define	_TBL_log2_9	__libmopt_TBL_log2_9
-#define	_TBL_sin	__libmopt_TBL_sin
-#define	_TBL_sincosx	__libmopt_TBL_sincosx
-#define	_TBL_xexp	__libmopt_TBL_xexp
-#define	_TBL_xlog	__libmopt_TBL_xlog
-#define	__k_cos_	__libmopt__k_cos_
-#define	__k_sin_	__libmopt__k_sin_
-#define	__k_sincos_	__libmopt__k_sincos_
-#define	__reduction	__libmopt__reduction
-#define	__rem_pio2	__libmopt__rem_pio2
-#define	__rem_pio2m	__libmopt__rem_pio2m
-#else	/* defined(LIBMOPT_BUILD) */
-#ifdef LIBM_BUILD
-#define	_SVID_libm_err	__libm_SVID_libm_err	/* not used by -lsunmath */
-#define	_TBL_atan	__libm_TBL_atan
-#define	_TBL_atan1	__libm_TBL_atan1
-#define	_TBL_atan_hi	__libm_TBL_atan_hi	/* not used by -lsunmath */
-#define	_TBL_atan_lo	__libm_TBL_atan_lo	/* not used by -lsunmath */
-#define	_TBL_exp2_hi	__libm_TBL_exp2_hi	/* not used by -lsunmath */
-#define	_TBL_exp2_lo	__libm_TBL_exp2_lo	/* not used by -lsunmath */
-#define	_TBL_ipio2_inf	__libm_TBL_ipio2_inf
-#define	_TBL_log	__libm_TBL_log
-#define	_TBL_log2_hi	__libm_TBL_log2_hi	/* not used by -lsunmath */
-#define	_TBL_log2_lo	__libm_TBL_log2_lo	/* not used by -lsunmath */
-#define	_TBL_log_hi	__libm_TBL_log_hi	/* not used by -lsunmath */
-#define	_TBL_log_lo	__libm_TBL_log_lo	/* not used by -lsunmath */
-#define	_TBL_sincos	__libm_TBL_sincos
-#define	_TBL_sincosx	__libm_TBL_sincosx
-#define	_TBL_tan_hi	__libm_TBL_tan_hi	/* not used by -lsunmath */
-#define	_TBL_tan_lo	__libm_TBL_tan_lo	/* not used by -lsunmath */
-#define	__k_cexp	__libm__k_cexp		/* C99 libm */
-#define	__k_cexpl	__libm__k_cexpl		/* C99 libm */
-#define	__k_clog_r	__libm__k_clog_r	/* C99 libm */
-#define	__k_clog_rl	__libm__k_clog_rl	/* C99 libm */
-#define	__k_atan2	__libm__k_atan2		/* C99 libm */
-#define	__k_atan2l	__libm__k_atan2l	/* C99 libm */
-#define	__k_cos		__libm__k_cos
-#define	__k_lgamma	__libm__k_lgamma
-#define	__k_sin		__libm__k_sin
-#define	__k_sincos	__libm__k_sincos
-#define	__k_tan		__libm__k_tan
-#define	__reduction	__libm__reduction	/* i386 only */
+/*
+ * Many symbols used to be namespaced with __libm to prevent collisions.  All
+ * but these two were otherwise scoped local and directly bound, so that
+ * collision could not occur.
+ *
+ * For reasons unknown, these two are global (but private).
+ */
 #define	__rem_pio2	__libm__rem_pio2
 #define	__rem_pio2m	__libm__rem_pio2m
-#define	__k_cosf	__libm__k_cosf		/* C99 libm */
-#define	__k_cosl	__libm__k_cosl		/* C99 libm */
-#define	__k_lgammal	__libm__k_lgammal	/* C99 libm */
-#define	__k_sincosf	__libm__k_sincosf	/* C99 libm */
-#define	__k_sincosl	__libm__k_sincosl	/* C99 libm */
-#define	__k_sinf	__libm__k_sinf		/* C99 libm */
-#define	__k_sinl	__libm__k_sinl		/* C99 libm */
-#define	__k_tanf	__libm__k_tanf		/* C99 libm */
-#define	__k_tanl	__libm__k_tanl		/* C99 libm */
-#define	__poly_libmq	__libm__poly_libmq	/* C99 libm */
-#define	__rem_pio2l	__libm__rem_pio2l	/* C99 libm */
-#define	_TBL_atanl_hi	__libm_TBL_atanl_hi	/* C99 libm */
-#define	_TBL_atanl_lo	__libm_TBL_atanl_lo	/* C99 libm */
-#define	_TBL_cosl_hi	__libm_TBL_cosl_hi	/* C99 libm */
-#define	_TBL_cosl_lo	__libm_TBL_cosl_lo	/* C99 libm */
-#define	_TBL_expl_hi	__libm_TBL_expl_hi	/* C99 libm */
-#define	_TBL_expl_lo	__libm_TBL_expl_lo	/* C99 libm */
-#define	_TBL_expm1l	__libm_TBL_expm1l	/* C99 libm */
-#define	_TBL_expm1lx	__libm_TBL_expm1lx	/* C99 libm */
-#define	_TBL_ipio2l_inf	__libm_TBL_ipio2l_inf	/* C99 libm */
-#define	_TBL_logl_hi	__libm_TBL_logl_hi	/* C99 libm */
-#define	_TBL_logl_lo	__libm_TBL_logl_lo	/* C99 libm */
-#define	_TBL_r_atan_hi	__libm_TBL_r_atan_hi	/* C99 libm */
-#define	_TBL_r_atan_lo	__libm_TBL_r_atan_lo	/* C99 libm */
-#define	_TBL_sinl_hi	__libm_TBL_sinl_hi	/* C99 libm */
-#define	_TBL_sinl_lo	__libm_TBL_sinl_lo	/* C99 libm */
-#define	_TBL_tanl_hi	__libm_TBL_tanl_hi	/* C99 libm */
-#define	_TBL_tanl_lo	__libm_TBL_tanl_lo	/* C99 libm */
-#endif	/* defined(LIBM_BUILD) */
-#endif	/* defined(LIBMOPT_BUILD) */
 
 #ifndef _ASM
 #ifdef __STDC__
--- old/usr/src/lib/libm/common/C/log.c	2014-11-25 12:56:53.060827450 -0500
+++ new/usr/src/lib/libm/common/C/log.c	2014-11-25 12:56:53.072201731 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log = __log
+#pragma weak __log = log
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/log10.c	2014-11-25 12:56:53.466051274 -0500
+++ new/usr/src/lib/libm/common/C/log10.c	2014-11-25 12:56:53.477871811 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log10 = __log10
+#pragma weak __log10 = log10
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/log1p.c	2014-11-25 12:56:53.871734575 -0500
+++ new/usr/src/lib/libm/common/C/log1p.c	2014-11-25 12:56:53.883395011 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log1p = __log1p
+#pragma weak __log1p = log1p
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/log2.c	2014-11-25 12:56:54.338649585 -0500
+++ new/usr/src/lib/libm/common/C/log2.c	2014-11-25 12:56:54.351018013 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log2 = __log2
+#pragma weak __log2 = log2
 
 /* INDENT OFF */
 /*
@@ -88,7 +88,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 extern const double _TBL_log[];
--- old/usr/src/lib/libm/common/C/logb.c	2014-11-25 12:56:54.769226250 -0500
+++ new/usr/src/lib/libm/common/C/logb.c	2014-11-25 12:56:54.780836574 -0500
@@ -27,16 +27,14 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak logb = __logb
-#pragma weak _logb = __logb
-#endif
+#pragma weak __logb = logb
+#pragma weak _logb = logb
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
 #define	_C99SUSv3_logb	_C99SUSv3_logb_subnormal_is_like_ilogb
 
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const double two52 = 4503599627370496.0;
 #else
 /*
@@ -59,7 +57,7 @@
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 double
 logb(double x) {
@@ -69,7 +67,7 @@
 		if ((px[LOWORD] | k) == 0)
 			return (_SVID_libm_err(x, x, 45));
 		else if ((__xpg6 & _C99SUSv3_logb) != 0) {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 			x *= two52;
 			return ((double) (((px[HIWORD] & 0x7ff00000) >> 20)
 				- 1075));
--- old/usr/src/lib/libm/common/C/nextafter.c	2014-11-25 12:56:55.165435313 -0500
+++ new/usr/src/lib/libm/common/C/nextafter.c	2014-11-25 12:56:55.177020234 -0500
@@ -26,8 +26,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak nextafter = __nextafter
-#pragma weak _nextafter = __nextafter
+#pragma weak __nextafter = nextafter
+#pragma weak _nextafter = nextafter
 
 #include "libm.h"
 #include <float.h>		/* DBL_MIN */
--- old/usr/src/lib/libm/common/C/pow.c	2014-11-25 12:56:55.561708807 -0500
+++ new/usr/src/lib/libm/common/C/pow.c	2014-11-25 12:56:55.573509292 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak pow = __pow
-#endif
+#pragma weak __pow = pow
 
 /*
  * pow(x,y) return x**y
--- old/usr/src/lib/libm/common/C/remainder.c	2014-11-25 12:56:55.976234768 -0500
+++ new/usr/src/lib/libm/common/C/remainder.c	2014-11-25 12:56:55.987579736 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak remainder = __remainder
+#pragma weak __remainder = remainder
 
 /*
  * remainder(x,p)
--- old/usr/src/lib/libm/common/C/rint.c	2014-11-25 12:56:56.373333509 -0500
+++ new/usr/src/lib/libm/common/C/rint.c	2014-11-25 12:56:56.384758082 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak rint = __rint
+#pragma weak __rint = rint
 
 /*
  * rint(x) return x rounded to integral according to the rounding direction
--- old/usr/src/lib/libm/common/C/scalb.c	2014-11-25 12:56:56.768684175 -0500
+++ new/usr/src/lib/libm/common/C/scalb.c	2014-11-25 12:56:56.780663150 -0500
@@ -26,8 +26,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak scalb = __scalb
-#pragma weak _scalb = __scalb
+#pragma weak __scalb = scalb
+#pragma weak _scalb = scalb
 
 #include "libm.h"
 
